View Issue Details

IDProjectCategoryView StatusLast Update
0007982mantisbtfilterspublic2007-08-02 02:28
ReporterzendAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityrandom
Status closedResolutionfixed 
Product Version1.1.0a3 
Target VersionFixed in Version1.1.0a4 
Summary0007982: "Create Permlink" not reliable
Description

When useing new feture create permlink, we have the follwing issues:
If user is not login to mantis, after login we get"Application Error #18"
If user is not set to "Current Project" we get different results
When do pick a specific project – do not get same results (with same user)
Some times get mantis main page.

Steps To Reproduce

Create a permlink and try to use it in a diffrent machine then the one create the link, user can be the same.

TagsNo tags attached.

Activities

vboctor

vboctor

2007-05-21 03:13

manager   ~0014568

If user is not login to mantis, after login we get"Application Error 18"
I wasn't able to reproduce this.

If user is not set to "Current Project" we get different results
Fixed and committed to CVS.

When do pick a specific project – do not get same results (with same user)
Should be fixed in CVS.

Some times get mantis main page.
I wasn't able to reproduce.

2007-05-21 03:15

 

permalinkfixes.zip (44,362 bytes)
vboctor

vboctor

2007-05-21 03:19

manager   ~0014569

I've attached the files modified relating to this issue. These files can be copied on top of a 1.1.0a3 installation. I hope I didn't miss any of the modifications.

I appreciate you testing this patch and letting me know if there are still issues in this feature.

The challenging part of this feature is that it is the first time where a user applies a filter not through the GUI. Hence, a lot of the previous assumptions about the current filter type and current project are not really valid in the context of this feature.

You may also see related 0007992 and 0007993 fixes.

zend

zend

2007-06-03 07:53

reporter   ~0014668

Pathc fix problem, its working good now.
Thank you.

zend

zend

2007-06-14 05:24

reporter   ~0014761

Found additional problems with "Create Permlink".
When creating a link to a container project - sub projects are not included in premlink.
When creating a link from simple filters - "Hide Status" option is gone.

vboctor

vboctor

2007-06-22 03:30

manager   ~0014800

Please open a new bug for the issues you discovered.

Issue History

Date Modified Username Field Change
2007-05-17 03:48 zend New Issue
2007-05-18 02:45 vboctor Status new => assigned
2007-05-18 02:45 vboctor Assigned To => vboctor
2007-05-21 03:13 vboctor Note Added: 0014568
2007-05-21 03:15 vboctor File Added: permalinkfixes.zip
2007-05-21 03:19 vboctor Note Added: 0014569
2007-06-03 07:53 zend Note Added: 0014668
2007-06-03 16:55 vboctor Status assigned => resolved
2007-06-03 16:55 vboctor Fixed in Version => 1.1.0a4
2007-06-03 16:55 vboctor Resolution open => fixed
2007-06-14 05:24 zend Status resolved => feedback
2007-06-14 05:24 zend Resolution fixed => reopened
2007-06-14 05:24 zend Note Added: 0014761
2007-06-22 03:30 vboctor Status feedback => resolved
2007-06-22 03:30 vboctor Resolution reopened => fixed
2007-06-22 03:30 vboctor Note Added: 0014800
2007-08-02 02:28 vboctor Status resolved => closed